Bug 263874 - calendar: leaving maintenance mode does not clear set quick search filter
Summary: calendar: leaving maintenance mode does not clear set quick search filter
Status: VERIFIED FIXED
Alias: None
Product: KOrganizer Mobile
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Windows CE Microsoft Windows CE
: HI major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-21 15:05 UTC by Ludwig Reiter
Modified: 2011-02-15 19:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Reiter 2011-01-21 15:05:34 UTC
Version:           unspecified (using KDE 1.2) 
OS:                Windows CE

Calendar Touch (Windows CE) 2011-01-20 git-d974996

Reproducible: Always

Steps to Reproduce:
1. Open Calendar Touch
2. Select a folder with event.
3. Open maintaince mode of the folder.
4. Enter a filter so that some event are no longer displayed in the list.
5. Close Maintaince view and open month or day view.
Only the event which pass the filter are displayed.


Actual Results:  
Only the event which pass the filter are displayed. So some events of the folder are missing and the user doesn't get a reason why and no way to revert this. 

Expected Results:  
A visible representation (textfield with filter, icon or so) that a filter is used and a way to remove his filter.
Comment 1 Tobias Koenig 2011-01-27 18:48:37 UTC
Git commit 7c84121c66e3880d2019083f922ecf3f6ec4b02d by Tobias Koenig.
Pushed by tokoe into branch 'master'.

Fix calendar display after maintaince mode

Clear the bulk action quick search filter when leaving the
maintaince mode, so that all events are shown in the calendar
and not only the filtered ones.

BUG: 263874

M  +4    -1    mobile/lib/BulkActionScreen.qml     
M  +0    -1    mobile/lib/kdeclarativemainview.cpp     
M  +13   -0    mobile/lib/kdeclarativemainview_p.cpp     
M  +19   -1    mobile/lib/kdeclarativemainview_p.h     

http://commits.kde.org/ee6cc38b/7c84121c66e3880d2019083f922ecf3f6ec4b02d
Comment 2 Andre Heinecke 2011-02-15 19:09:08 UTC
Retested after the fix and it works now as expected